Subject: Status on Step Forward application
From: "Michael B" <[email-masked]>
To: "Kate Lambert Lee" <[email-masked]>
Date: Tue, 11 Sep 2012 15:03:40 -0400

Hello Kate.
I wanted to follow up on the status of our application and wondered if have heard anything or could possibly check on it for me?  I will send an email to Mark at step forward as well.  My concern is that we are approaching another payment due date and I am probably not going to be able to cover that until I have gotten things caught up.  Please let me know as soon as you can.  Much appreciated!
Thank you,
Michael Bishop